//<c>   Copyright 1988-1998 by Gerry J. Danen; all rights reserved.

//<t>   Calculate Disk Capacity

#include"gd_tools.h"
//#include"gd_extrn.h"


#define pgVERS_ "V2.00"
#define pgTITL_ "Disk Capacity Calculator"
#define pgCOPR_ "1988"


UINT32  get_number( STRING which )
{
    UINT32      number = 0L ;
    UCHAR       msg[81] ;

    printf( "%15s > ", which );
    gets( msg );
    if ( strlen(msg) )
        sscanf( msg, " %D", &number );
    return( number );
}


void    main( void )
{
    UINT32      cyls, heads, sects, bytes, cap ;

    tt_init( SHAREWARE_VERSION, 0, pgVERS_, pgTITL_, pgCOPR_ );
    logon(1);

    cyls  = get_number( "Cylinders" );
    heads = get_number( "Heads" );
    sects = get_number( "Sectors" );
    bytes = get_number( "Bytes/sector" );
    cap = cyls * heads * sects * bytes ;
    printf( "\nDisk with %lu cylinders, %lu heads, %lu sectors, %lu bytes/sector.\nCapacity = %lu bytes or %lu Mbytes.\n",
                cyls, heads, sects, bytes, cap, (cap/(1024L*1024L)) );
}
